Bug 34955 - Deleting numbering item which restarts numbering fails to retain restart
Summary: Deleting numbering item which restarts numbering fails to retain restart
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Bullet-Number-Outline-Lists
  Show dependency treegraph
 
Reported: 2011-03-02 22:14 UTC by sasha.libreoffice
Modified: 2019-10-24 02:40 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
explains how numbering in table spontaneously change (20.59 KB, application/vnd.oasis.opendocument.text)
2011-03-02 22:18 UTC, sasha.libreoffice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sasha.libreoffice 2011-03-02 22:14:04 UTC
This problem: in table in Writer is numbering begining with 1 but after editing table it sponteneously begins from oter number.
Explanations in attachment.
reproduced on Mandriva 64 bit and windows XP 32 bit
Comment 1 sasha.libreoffice 2011-03-02 22:18:16 UTC
Created attachment 44054 [details]
explains how numbering in table spontaneously change
Comment 2 Cédric Bosdonnat 2011-03-03 06:18:11 UTC
Taking it to evaluate for Easy Hack
Comment 3 A (Andy) 2013-04-27 10:40:47 UTC
not reproducible with LO 4.0.2.2 (Win7 Home, 64bit)

@Sasha: I would say that this issue was resolved in the meantime. 
Can you or anybody confirm this?  If yes, then I would propose to close this issue.

Note for other testers:
1. The first "Ctrl+V" mentioned in the attachment is a typing error, it means of course Ctrl+C.
2. The first mentioned icon from the toolbar has changed, it looks now different and is the RESTART NUMBERING function (it could be that you don't see it in the bottom toolbar, then you have to select the two arrows on the right of the bottom toolbar to open further functions from the toolbar).
3. The second mentioned icon is the DELETE ROW function (if you don't see it, then see point 2).
Comment 4 sasha.libreoffice 2013-04-29 05:08:38 UTC
Thanks for additional testing
Reproduced bug in 4.0.2 on Fedora (RFR) 64 bit
Reproduced with attachment and with freshly created document

> The first "Ctrl+V" mentioned in the attachment is a typing error
Thanks for correction and sorry for my error

> The first mentioned icon from the toolbar has changed, it looks now different
In my case it is Galaxy theme of icons.
Comment 5 Matthew Francis 2015-04-11 05:14:03 UTC
This has always been the case since LO / OOo 3.3.0

-> Version: Inherited from OOo
-> Importance, Severity: low / trivial

A table isn't even necessary to reproduce this; just delete any numbering list item at which numbering is restarted, and the restart is deleted together with the list item - which is understandable, as the restart is a property of ths list item, but still arguably not correct behaviour in terms of how people typically edit documents.
(Note that there is a perfectly good way to cancel the restart, which is just to "Restart Numbering" again at the position of the restart)
Comment 6 tommy27 2016-04-16 07:28:11 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2017-05-22 13:25:55 UTC Comment hidden (obsolete)
Comment 8 Thomas Lendo 2017-10-22 00:06:21 UTC
Reproducing with

Version: 6.0.0.0.alpha0+
Build ID: 5ea1b4c336d1cad92dc18e7cf7e4b381396f448b
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: group

Is this a bug or is this intended because text:start-value="1" is part of the first text:list-item element of a list. Should LibreOffice move this attribute to the next list item when deleting the first item automatically?
Comment 9 QA Administrators 2018-10-23 02:48:42 UTC Comment hidden (obsolete)
Comment 10 Thomas Lendo 2018-10-23 13:34:49 UTC
Still reproducible.

Version: 6.2.0.0.alpha1+ (x64)
Build ID: ae9f37ba753519ae4a2ae6384d052d417359602f
CPU threads: 8; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-10-23_02:03:22
Locale: de-AT (de_AT); Calc: CL
Comment 11 QA Administrators 2019-10-24 02:40:31 UTC
Dear sasha.libreoffice,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug